%define name buz
%define version 0.0.3
%define release 2 

Summary: Character device driver for Iomega Buz frame grabber card
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Development/Drivers
Distribution: Red Hat Contrib|Net
URL: http://millennium.diads.com/buz/
Source: http://millennium.diads.com/buz/buz-%{version}.tar.gz   
Patch: %{name}-%{version}-rpm.patch
Packager: Sorin Lingureanu <sorin@tuiasi.ro> 
BuildRoot: /var/tmp/%{name}-%{version}-root
Summary(ro): Driver pentru cartele de captura Iomega Buz

%description
Driver for Iomega Buz, version %{version}. This version uses the original
V4L API. Future development will target the V4L2 interface instead. 
( This rpm release is compiled for 2.2.5 Linux kernel )

%description -l ro
Driver pentru Iomega Buz, versiunea %{version}. Aceasta versiune foloseste
API-ul original V4L. In viitor va supporta interfata V4L2.
( Acest pachet contine driverele compilate pentru versiunea 2.2.5 a nucleului
Linux ) 

%package devel
Summary: Buz sources and include files.
Group: Development/Drivers
Summary(ro): Sursele buz si fisierele antet.

%description devel
Buz sources and include files.

%description devel -l ro
Sursele buz si fisierele include.

%prep
%setup
%patch -p1

%build
make

%install
install -d ${RPM_BUILD_ROOT}/lib/modules/`uname -r`/misc
install -d ${RPM_BUILD_ROOT}/usr/include/%{name}
cp -af buz.h ${RPM_BUILD_ROOT}/usr/include/%{name}
cp -af video_decoder.h ${RPM_BUILD_ROOT}/usr/include/%{name}
cp -af video_encoder.h ${RPM_BUILD_ROOT}/usr/include/%{name}
install -d ${RPM_BUILD_ROOT}/usr/include/linux
cp -af zr36057.h ${RPM_BUILD_ROOT}/usr/include/linux
cp -af zr36060.h ${RPM_BUILD_ROOT}/usr/include/linux

make install ${RPM_BUILD_ROOT}
	
%clean
make clean
rm -rf ${RPM_BUILD_ROOT}

%post 
if [ ! -c /dev/video0 ]; then
        cd /dev
        mknod video0 c 81 0
        ln -s video0 video
fi
if [ `grep -c buz` = "0" ] ; then
   sed -e '1{/options/ba' -e } -e '1,/options/!b' -e :a -e '//i\'\
     -e 'alias char-major-81 buz' /etc/conf.modules | sed -e '$a\'\
     -e 'options buz gpio=0xdf natoma=0 triton=0 input=0 nbufs=8'\
     > /etc/conf.modules.new
   mv -f /etc/conf.modules.new /etc/conf.modules
fi
if [ ! -f /etc/rc.d/rc.modules ] ; then
    echo "#! /bin/sh" >/etc/rc.d/rc.modules
    chmod 755 /etc/rc.d/rc.modules
fi 
echo "# Install saa7111 and saa7185 needed by buz module" >>/etc/rc.d/rc.modules
echo "/sbin/modprobe i2c" >>/etc/rc.d/rc.modules
echo "/sbin/insmod -f saa7111" >>/etc/rc.d/rc.modules
echo "/sbin/insmod -f saa7185" >>/etc/rc.d/rc.modules
/sbin/rmmod buz
/sbin/rmmod saa7185
/sbin/rmmod saa7111
/sbin/rmmod i2c
/sbin/rmmod videodev
/sbin/modprobe videodev
/sbin/modprobe i2c
/sbin/insmod -f saa7111
/sbin/insmod -f saa7185
/sbin/insmod -f buz gpio=0xdf natoma=0 triton=0 input=0 nbufs=8

%postun
grep -v "buz" /etc/conf.modules > /etc/conf.modules.new
mv -f /etc/conf.modules.new /etc/conf.modules     
grep -v "saa7185" /etc/rc.d/rc.modules | grep -v "saa7111" | grep -v "i2c" > /etc/rc.d/rc.modules.new
if [ `cat /etc/rc.d/rc.modules.new | wc -l` = "1" ] ; then
   rm -f /etc/rc.d/rc.modules
   rm -f /etc/rc.d/rc.modules.new
  else
   mv -f /etc/rc.d/rc.modules.new /etc/rc.d/rc.modules
fi
/sbin/rmmod buz
/sbin/rmmod saa7185
/sbin/rmmod saa7111
/sbin/rmmod i2c
/sbin/rmmod videodev 

%files
%defattr(-,root,root)
%attr( -, root, root ) %doc COPYING README* TODO buz.lsm
%doc reload unload update
/lib/modules

%files devel
%defattr(-,root,root)
%doc COPYING README* TODO buz.lsm XTV-diff 
%doc mplay.c mrecord.c video_decoder.api video_encoder.api
/usr/include/%{name}
/usr/include/linux/*

%changelog
* Sat Mar 29 1999 Sorin Lingureanu <sorin@tuiasi.ro>
- updated for kernel 2.2.5 version

%changelog
* Sat Mar 25 1999 Sorin Lingureanu <sorin@tuiasi.ro>
- First RPM distribution ( for 2.2.6 kernel version )
